Network Node - Get Interfaces For GivenNode
Pobiera dane dla węzła sieci według identyfikatora węzła i typu żądania.
GET http://<Servername>/OperationsManager/NetworkNode/{nodeId}/{requestType}
Parametry identyfikatora URI
| Nazwa | W | Wymagane | Typ | Opis |
|---|---|---|---|---|
|
node
|
path | True |
string |
Określ identyfikator węzła. |
|
request
|
path | True |
string |
Określ jedną z następujących właściwości (healthofinterfaces, averageavailability) |
Odpowiedzi
| Nazwa | Typ | Opis |
|---|---|---|
| 200 OK |
object |
OK Media Types: "application/json", "text/json", "application/xml", "text/xml" |
Przykłady
|
Get |
|
Get |
GetInterfacesForGivenNode For averageavailability
Przykładowe żądanie
GET http://<Servername>/OperationsManager/NetworkNode/66294d70-467c-d7f7-d30e-c01246367e81/averageavailability
Przykładowa odpowiedź
[
{
"nodeId": null,
"today": 100,
"yesterday": 100,
"lastSevenDays": 100,
"lastThirtyDays": 100
}
]
GetInterfacesForGivenNode For healthofinterfaces
Przykładowe żądanie
GET http://<Servername>/OperationsManager/NetworkNode/66294d70-467c-d7f7-d30e-c01246367e81/healthofinterfaces
Przykładowa odpowiedź
[
{
"description": "GigabitEthernet0/28",
"sentBitsPerSecond": "NaN",
"receivedBitsPerSecond": "NaN",
"interfaceId": "e283c15f-7773-8146-b2f6-37bf97443404",
"interfaceName": "PORT-10128",
"interfaceState": "notmonitored"
},
{
"description": "GigabitEthernet0/40",
"sentBitsPerSecond": "NaN",
"receivedBitsPerSecond": "NaN",
"interfaceId": "26b2a0fb-f4e2-0f63-acbe-538b87759277",
"interfaceName": "PORT-10140",
"interfaceState": "notmonitored"
}
]